{"components":{"schemas":{"Address":{"description":"Registered address","properties":{"addressLines":{"description":"List of address lines","items":{"description":"List of address lines","type":"string"},"type":"array"},"countryCode":{"description":"Country code","type":"string"},"countryText":{"description":"Country text","type":"string"},"municipalityCode":{"description":"Municipality code","type":"string"},"municipalityText":{"description":"Municipality text","type":"string"},"postalTown":{"$ref":"#/components/schemas/PostalTown"}},"type":"object"},"AddressInformation":{"description":"Known addresses of the company","properties":{"postalAddress":{"$ref":"#/components/schemas/Address"},"registeredAddress":{"$ref":"#/components/schemas/Address"}},"type":"object"},"BadRequest":{"description":"Returned when something is wrong in the request, e.g. failed argument validation or missed argument","properties":{"attributes":{"description":"Invalid attributes","items":{"$ref":"#/components/schemas/RequestAttribute"},"type":"array"},"error":{"default":"BadRequest","description":"Error name","type":"string"},"message":{"default":"Required arguments are missing in the request","description":"Description of the request error","type":"string"}},"type":"object"},"CodeAndText":{"description":"Company type code and text","properties":{"code":{"type":"string"},"text":{"type":"string"}},"type":"object"},"CompulsorySettlementOrLiquidationDetail":{"description":"Details regarding settlement/compulsory liquidation","properties":{"reasonCode":{"description":"Reason code of compulsory settlement or liquidation, true/false","type":"string"},"registrationDate":{"description":"The date when the compulsory settlement or liquidation started","type":"string"}},"type":"object"},"Contact":{"description":"Company additional contact information","properties":{"webAddress":{"description":"Web page address","type":"string"}},"type":"object"},"EmployeeDetails":{"description":"Data regarding employee number","properties":{"hasEmployees":{"description":"The company is registered as employer in NAV aa-register (true/false)","type":"boolean"},"numberEmployees":{"description":"Number of employees (if 1-4 employees, this field will not exist. 0 = the company has not registered any employees)","format":"int32","type":"integer"}},"type":"object"},"MultiCompaniesOverviewsResult":{"description":"Multiple companies overviews result","properties":{"records":{"description":"found overview(s)","items":{"$ref":"#/components/schemas/Overview"},"type":"array"},"responseInfo":{"$ref":"#/components/schemas/ResponseInfo"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"MultiCompanyRequest":{"description":"Multiple companies ids request","properties":{"companyIds":{"description":"array of company id","items":{"description":"array of company id","type":"string"},"type":"array"},"requestKey":{"description":"cache key for companies id-s in sandbox","type":"string"}},"type":"object"},"Overview":{"description":"Company Overview","properties":{"addressInformation":{"$ref":"#/components/schemas/AddressInformation"},"changeDate":{"description":"Date for the latest change (Date in ISO 8601 standard)","type":"string"},"companyId":{"description":"National identifier for the company","type":"string"},"companyName":{"description":"Name of the company","type":"string"},"contact":{"$ref":"#/components/schemas/Contact"},"employees":{"$ref":"#/components/schemas/EmployeeDetails"},"enhetsregisteretRegistrationDate":{"description":"Company registration date (Date in ISO 8601 standard)","type":"string"},"foretaksregisteretRegistered":{"description":"If registered in Foretaksregisteret, true/false","type":"boolean"},"foundationRegistrationDate":{"description":"Company foundation date (Date in ISO 8601 standard)","type":"string"},"frivillighetsregisteretRegistered":{"description":"If registered in Frivillighetsregisteret, true/false","type":"boolean"},"industrialSector":{"$ref":"#/components/schemas/CodeAndText"},"industry":{"$ref":"#/components/schemas/CodeAndText"},"language":{"description":"Main language","type":"string"},"latestPublishedAnnualReportYear":{"description":"Year for last submitted annual accounts report","type":"string"},"legalGroup":{"$ref":"#/components/schemas/CodeAndText"},"mainUnitCompanyId":{"description":"Org number of the main unit. Only present if the overview represents a sub-unit.","type":"string"},"numberCompanyUnits":{"description":"Number of company units/workplaces","format":"int32","type":"integer"},"parentUnitCompanyId":{"description":"National identifier for the parent unit in the public sector","type":"string"},"removed":{"description":"Set to true when company should be removed from storage due to legal requirements","type":"boolean"},"removedDate":{"description":"Date when company is removed from the central companies registry","type":"string"},"specialSituation":{"$ref":"#/components/schemas/SpecialSituation"},"statutesRegistrationDate":{"description":"Registration date of the statutes (vedtekter)","type":"string"},"stiftelseregisteretReg":{"description":"If registered in Stiftelseregisteret, true/false","type":"boolean"},"topDirectorFunction":{"description":"Role of the top director","type":"string"},"topDirectorName":{"description":"Name of the top director","type":"string"},"vatRegistration":{"description":"If registered for VAT, true/false","type":"boolean"},"vatRegistrationText":{"description":"Free text used when the company is voluntarily registered for VAT. Describes the activity","items":{"description":"Free text used when the company is voluntarily registered for VAT. Describes the activity","type":"string"},"type":"array"}},"type":"object"},"OverviewsResult":{"description":"Company(s) overview(s) result","properties":{"records":{"description":"found overview(s)","items":{"$ref":"#/components/schemas/Overview"},"type":"array"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"PostalTown":{"description":"Postal town information","properties":{"city":{"description":"City","type":"string"},"zipCode":{"description":"Zip code","type":"string"}},"type":"object"},"RequestAttribute":{"description":"Incorrect attribute of request","properties":{"attribute":{"description":"Parameter name","type":"string"},"value":{"description":"Parameter value, subject for validation","type":"string"}},"type":"object"},"ResponseInfo":{"description":"Multiple response information","properties":{"hitCount":{"description":"Number of companyIds in response (companyIds that could be found)","format":"int32","type":"integer"},"noMatchIds":{"description":"Array of companyIds that was in request but could not be matched","items":{"description":"Array of companyIds that was in request but could not be matched","type":"string"},"type":"array"},"requestCount":{"description":"Number of requested companyIds","format":"int32","type":"integer"}},"type":"object"},"SearchResultStatus":{"description":"Description of search result","properties":{"code":{"description":"0 - found, 1 - not found","format":"int32","type":"integer"},"text":{"description":"search result description","type":"string"}},"type":"object"},"ServerError":{"description":"Internal server error","properties":{"error":{"default":"InternalServerError","description":"Error name","type":"string"},"message":{"default":"An internal server error occurred, please contact the system administrator with information on the error","description":"Description of the request error","type":"string"}},"type":"object"},"SpecialSituation":{"description":"Information regarding situations that the company is going through","properties":{"bankruptcy":{"description":"Shows if the company is in bankruptcy, true/false","type":"boolean"},"bankruptcyOpenedDate":{"description":"The date when the bankruptcy started","type":"string"},"compulsorySettlementOrLiquidation":{"description":"Shows whether the company is in compulsory settlement/compulsory liquidation, true/false","type":"boolean"},"compulsorySettlementsOrLiquidationDetails":{"description":"Details regarding settlement/compulsory liquidation","items":{"$ref":"#/components/schemas/CompulsorySettlementOrLiquidationDetail"},"type":"array"},"dissolution":{"description":"Shows if the company is in dissolution, true/false","type":"boolean"},"dissolutionRegistrationDate":{"description":"The date when the dissolution started","type":"string"}},"type":"object"}},"securitySchemes":{"OAuth2":{"description":"All requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","flows":{"clientCredentials":{"tokenUrl":"https://api.roaring.io/token","scopes":{}}},"type":"oauth2"}}},"info":{"description":"Fetch company/companies overview(s)\n\nAll requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","title":"Overview","version":"4.0","x-logo":{"url":"https://assets.roaring.io/svg/company-overview-v3.1.svg"}},"openapi":"3.0.1","paths":{"/{companyId}":{"get":{"description":"It supports date parameter to find overview up to date","operationId":"view","parameters":[{"description":"id of company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OverviewsResult"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Find overview by company id","tags":["no-Overview"]}},"/history/{companyId}":{"get":{"description":"Changes of the company within specified date range. The range includes \\\"from\\\" and excludes \\\"to\\\".","operationId":"history","parameters":[{"description":"id of company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}},{"description":"beginning of the date range (including), iso 8601 format","in":"query","name":"fromDate","schema":{"type":"string"}},{"description":"ending of the date range (excluding), iso 8601 format","in":"query","name":"toDate","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OverviewsResult"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Find history overview by company id","tags":["no-Overview"]}},"/":{"post":{"description":"It supports date parameter to find overviews up to date","operationId":"getCompanyOverviewList","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MultiCompanyRequest"}}},"description":"request body with companies identifiers to lookup","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MultiCompaniesOverviewsResult"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Find overviews by companies id-s","tags":["no-Overview"]}}},"security":[{"OAuth2":[]}],"servers":[{"url":"https://api.roaring.io/no/company/overview/4.0"}],"x-category":"company","x-countries":["no"],"x-id":"no-Overview"}